Summary:	gdbmexport utility to export old GDBM 1.8.x databases
Summary(pl.UTF-8):	Narzędzie gdbmexport pozwalające wyeksportować stare bazy GDBM 1.8.x
Name:		gdbm-export
Version:	1.14.1
Release:	1
License:	GPL v3+
Group:		Applications/File
Source0:	http://ftp.gnu.org/gnu/gdbm/gdbm-%{version}.tar.gz
# Source0-md5:	c2ddcb3897efa0f57484af2bd4f4f848
Patch0:		gdbm-link.patch
URL:		http://www.gnu.org/software/gdbm/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.11
BuildRequires:	gdbm18-devel >= 1.8.3
BuildRequires:	gettext-tools >= 0.18
BuildRequires:	libtool
Requires:	gdbm18 >= 1.8.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gdbmexport utility to export old GDBM 1.8.x databases in order to load
them in new GDBM format.

%description -l pl.UTF-8
Narzędzie gdbmexport pozwalające wyeksportować stare bazy GDBM 1.8.x w
celu wczytania do nowego formatu GDBM.

%prep
%setup -q -n gdbm-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-gdbm-export \
	--with-gdbm183-includedir=%{_includedir}/gdbm-1.8 \
	--with-gdbm183-library="-lgdbm-1.8" \
	--without-readline

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# package just gdbmexport, the rest (in newer version) is packaged in gdbm.spec
%{__rm} $RPM_BUILD_ROOT%{_bindir}/{gdbm_dump,gdbm_load,gdbmtool}
%{__rm} -r $RPM_BUILD_ROOT{%{_includedir},%{_libdir},%{_infodir},%{_localedir},%{_mandir}}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS NOTE-WARNING README
%attr(755,root,root) %{_bindir}/gdbmexport
%changelog
* Sun Jun 17 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gdbm-export.git;a=log;h=master

* Sat Jun 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 4230562
- last version of gdbmexport tool saved from gdbm 1.14.1

* Sat Jun 16 2018 Jakub Bogusz <qboosh@pld-linux.org> 17dab2c
- updated to 1.14.1 (note: new libgdbm soname)
- removed obsolete export patch

* Mon Apr 10 2017 Jakub Bogusz <qboosh@pld-linux.org> 8d7da47
- updated to 1.13
- updated info patch
- added export patch (fix gdbmexport build)
- added link patch (avoid useless linking with system libndbm or libdbm if found)

* Sat May 21 2016 Jakub Bogusz <qboosh@pld-linux.org> e80dde6
- updated to 1.12
- updated info patch

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> a3ecb05
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 490469e
- updated gettext BR

* Thu Dec 26 2013 Jakub Bogusz <qboosh@pld-linux.org> 11a242e
- updated to 1.11
- updated info patch

* Fri Oct 12 2012 Karol Krenski <charles@pld-linux.org> 17dd1af
- BR: gettext-devel

* Wed Sep 05 2012 Jan Rękorajski <baggins@pld-linux.org> 1eb0840
- release 3 (by relup.sh)

* Tue Sep 04 2012 Jan Rękorajski <baggins@pld-linux.org> 0c2094a
- Rebuild with DB 5.3
- release 2 (by relup.sh)

* Mon Nov 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 13460c0
- updated to 1.10

* Sun Aug 14 2011 Jakub Bogusz <qboosh@pld-linux.org> 4ec17cc
- updated to 1.9.1
  NOTE: sonames changed; database format could have changed on those archs,
  which didn't previously use largefile by default;
  see gdbm18 and gdbm-export packages for compatibility and db conversion)
- updated info,link-compat patches
- removed obsolete jbj,linking,make-jN patches

* Mon Oct 13 2008 Szymon Siwek <sls@pld-linux.org> d8562fc
- pass --mode=install (required by libtool-2.2)

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d3299ac
- rel 8

* Thu Jan 24 2008 Elan Ruusamäe <glen@pld-linux.org> 444f17d
- invoke fix-info-dir via /sbin/postshell where possible to avoid extra /bin/sh dep

* Tue Dec 18 2007 zbyniu <zbyniu@pld-linux.org> 6566140
- repair parallel make

* Tue Dec 18 2007 zbyniu <zbyniu@pld-linux.org> c133e05
- simple patch instead of stupid workaround (make -j N)

* Wed Dec 12 2007 Szymon Siwek <sls@pld-linux.org> aa44e59
- __make -j1

* Tue Oct 09 2007 Jan Rękorajski <baggins@pld-linux.org> 9ffeaf6
- s/enviroment/environment/

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 4de59e7
- tabs in preamble

